Package com.enonic.xp.issue

## Class CreateIssueParams.Builder<B extends CreateIssueParams.Builder>

- java.lang.Object
- - com.enonic.xp.issue.CreateIssueParams.Builder<B>

- Direct Known Subclasses:
    `CreatePublishRequestIssueParams.Builder`
  Enclosing class:
    CreateIssueParams

      public static class CreateIssueParams.Builder<B extends CreateIssueParams.Builder>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected PropertyTree` | `data` |
    `protected IssueType` | `issueType` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Builder()` |
    `` | `Builder​(CreateIssueParams params)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreateIssueParams` | `build()` |
    `B` | `description​(String description)` |
    `B` | `setApproverIds​(PrincipalKeys approverIds)` |
    `B` | `setPublishRequest​(PublishRequest publishRequest)` |
    `B` | `title​(String title)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### issueType

          protected IssueType issueType

    - #### data

          protected PropertyTree data

  - ### Constructor Detail

    - #### Builder

          protected Builder()

    - #### Builder

          public Builder​(CreateIssueParams params)

  - ### Method Detail

    - #### title

          public B title​(String title)

    - #### description

          public B description​(String description)

    - #### setApproverIds

          public B setApproverIds​(PrincipalKeys approverIds)

    - #### setPublishRequest

          public B setPublishRequest​(PublishRequest publishRequest)

    - #### build

          public CreateIssueParams build()